Search contract ABIs
GET /v2/contract/abi
GET
/v2/contract/abi
Search for contract ABIs with various filters.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” name
required
string
ERC20Filter by name
exactName
required
boolean
Whether to match the exact name
interfaceId
required
string
0x123...Filter by interface ID
interfaceFilter
Array<object>
object
methodName
required
The method name
string
transfer stateMutability
required
The state mutability
string
nonpayable inputs
The input types
Array<string>
[ "address", "uint256"] outputs
The output types
Array<string>
[ "bool"]Filter by interface types
page
Pagination information
object
isShared
required
boolean
Whether to search shared ABIs
page[number]
number
1Page number (starts at 1)
page[size]
number
10Items per page
Responses
Section titled “ Responses ”List of matching ABIs
object
items
required
The search results
Array<object>
object
name
required
The ABI name
string
ERC20 abiId
required
The ABI ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 page
required
Pagination information
object
number
required
Page number (starts at 1)
number
1 size
required
Items per page
number
10 totalPages
required
Total number of items
number
100 totalCount
required
Total number of pages
number
10 hasNext
required
Whether there is a next page
boolean
true hasPrev
required
Whether there is a previous page
boolean
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error